EDIT - feature request #7251

Enable collectorTitle in cdm-vaadin TeamOrPersonBaseCaptionGenerator
02/09/2018 12:34 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.27

Severity: normal

Description

In the TeamOrPersonBaseCaptionGenerator the the collector title is commented:

@Override
public String getCaption(T option) {
switch (cacheType) {
case NOMENCLATURAL_TITLE:
return option.getNomenclaturalTitle () ;
case COLLECTOR_TITLE:
// return option.getCollectorTitle(); // enable once #4311 is solved
case BIBLIOGRAPHIC_TITLE:
default:
return option.getTitleCache();

}

Related issues:

Related to EDIT - bug #7207: TeamOrPersonField and PersonField comboboxSelect... Closed
Related to EDIT - feature request #7178: implement collectorTitleCache in Tea... New
Blocked by EDIT - feature request #4311: Improve person representation in CDM Closed

Associated revisions

Revision 64a847c9 - 06/25/2021 12:16 PM - Andreas Miiller
ref #4311 adapt vadin to collectorTitleCache

History

#1 - 02/09/2018 12:35 PM - Andreas Kohlbecker
- Related to bug #7207: TeamOrPersonField and PersonField comboboxSelect is configurable to use different cache types added

#2 - 02/13/2018 09:42 AM - Andreas Mdller

- Assignee changed from Andreas Miiller to Andreas Kohlbecker

was this ticket on purpose for me? | don't feel responsible for the vaadin issues. But of course for an according ticket in cdmlib cache generation. Is
there such a ticket? If yes we should relate these 2 (e.g. blocked by)

#3 - 02/13/2018 10:14 AM - Andreas Kohlbecker
- Assignee changed from Andreas Kohlbecker to Andreas Mtiller
Andreas Miller wrote:

was this ticket on purpose for me? | don't feel responsible for the vaadin issues. But of course for an according ticket in cdmlib cache generation.
Is there such a ticket? If yes we should relate these 2 (e.g. blocked by)

Yes this was by purpose. This ticket is a sub-issue of #4311 for which you are responsible. Once #4311 is fixed solving this issue is only a matter of
removing two slashes which comment the prepared code. It is much more reliable if you do this right away after the parent issue is solved. Otherwise
you would have to point me to this ticket once its parent is solved, by putting it into the current release milestone, set it to HIGHEST, etc and you must
not forget to do so! But will you really remember this if you are not dedicated to this ticket?
#4 - 02/13/2018 12:14 PM - Andreas Miiller

OK, now | understand. | did not see that it was a subticket.
| also did not expect it to be a subticket as we have another policy for subtickets. Subtickets should only be used if they (as a set) include ALL tasks
that make up the master task. That is oviously not the case here. Therefore | remove the parent and make it a blocked by ticket.

#5 - 02/13/2018 12:15 PM - Andreas Miiller
- Parent task deleted (#4311)

#6 - 02/13/2018 12:15 PM - Andreas Miiller

- Blocked by feature request #4311: Improve person representation in CDM added

#7 - 07/02/2021 10:45 AM - Andreas Miiller

- Related to task #9681: Open issues for improving person representation added

#8 - 07/02/2021 10:51 AM - Andreas Miiller

- Status changed from New to Resolved

- Assignee changed from Andreas Miiller to Andreas Kohlbecker

- Priority changed from New to Highest

- Target version changed from Unassigned CDM tickets to Release 5.25

- % Done changed from 0 to 50
This was solved with #4311 | guess. Please review.

Please also check if some implementation needs to be done for #7178 which is related.

#9 - 07/02/2021 10:51 AM - Andreas Miiller

- Related to feature request #7178: implement collectorTitleCache in TeamOrPersonField (vaadin) added

#10 - 07/02/2021 10:51 AM - Andreas Miuiller

- Related to deleted (task #9681: Open issues for improving person representation)

#11 - 07/15/2021 07:41 AM - Andreas Kohlbecker

- Target version changed from Release 5.25 to Release 5.45

#12 - 08/02/2021 05:54 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed
- Assignee changed from Andreas Kohlbecker to Andreas Miller

- % Done changed from 50 to 100

as far as | can see by now, the current implementation is fully sufficient. | will open a new ticket as far as there is something missing related to #7178

#13 - 09/21/2021 02:11 PM - Andreas Miiller

- Target version changed from Release 5.45 to Release 5.27
